# Class FolderPickResult | EchoHub Documentation

# Class FolderPickResult

Namespace
  EchoHub.Client.Services

Assembly
  EchoHub.Client.dll

    public sealed record FolderPickResult : IEquatable<FolderPickResult>

Inheritance
  object
  FolderPickResult

Implements
  IEquatable<FolderPickResult>

Inherited Members
  object.GetType()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### FolderPickResult(PickerOutcome, string?)

    public FolderPickResult(PickerOutcome Outcome, string? Path)

#### Parameters

`Outcome` PickerOutcome
`Path` string

## Properties

### Outcome

    public PickerOutcome Outcome { get; init; }

#### Property Value

PickerOutcome

### Path

    public string? Path { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out PickerOutcome, out string?)

    public void Deconstruct(out PickerOutcome Outcome, out string? Path)

#### Parameters

`Outcome` PickerOutcome
`Path` string

### Equals(FolderPickResult?)

    public bool Equals(FolderPickResult? other)

#### Parameters

`other` FolderPickResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(FolderPickResult?, FolderPickResult?)

    public static bool operator ==(FolderPickResult? left, FolderPickResult? right)

#### Parameters

`left` FolderPickResult
`right` FolderPickResult

#### Returns

bool

### operator !=(FolderPickResult?, FolderPickResult?)

    public static bool operator !=(FolderPickResult? left, FolderPickResult? right)

#### Parameters

`left` FolderPickResult
`right` FolderPickResult

#### Returns

bool